"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscribe = void 0;
const config_js_1 = require("./config.js");
const execute_js_1 = require("./execute.js");
/**
 * Use this instead of GraphQL.js' subscribe method and we'll automatically
 * run grafastPrepare for you and handle the result.
 */
function subscribe(args, resolvedPreset = config_js_1.NULL_PRESET, outputDataAsString = false) {
    return (0, execute_js_1.withGrafastArgs)(args, resolvedPreset, outputDataAsString);
}
exports.subscribe = subscribe;
//# sourceMappingURL=subscribe.js.map