import { $$safeError } from "./interfaces.js";
export declare const $$error: unique symbol;
/**
 * Is the given value a GrafastError? This is the only public API that people
 * should use for looking at GrafastErrors.
 */
export declare function isGrafastError(value: any): value is GrafastError;
export declare class SafeError<TExtensions extends Record<string, any> | undefined = Record<string, any> | undefined> extends Error {
    extensions: TExtensions;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    [$$safeError]: boolean;
    constructor(message: string, extensions?: TExtensions, errorOptions?: ErrorOptions);
}
export declare function isSafeError(error: Error): error is SafeError;
//# sourceMappingURL=error.d.ts.map